Index: modules/dnet-openaire-stats/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/statsExport/utils/Serializer.java
===================================================================
--- modules/dnet-openaire-stats/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/statsExport/utils/Serializer.java	(revision 48301)
+++ modules/dnet-openaire-stats/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/statsExport/utils/Serializer.java	(revision 48302)
@@ -14,7 +14,7 @@
 import eu.dnetlib.data.proto.OafProtos.OafEntity;
 import eu.dnetlib.data.proto.OafProtos.OafRel;
 import eu.dnetlib.data.proto.OrganizationProtos.Organization;
-import eu.dnetlib.data.proto.PersonProtos;
+//import eu.dnetlib.data.proto.PersonProtos;
 import eu.dnetlib.data.proto.ProjectProtos.Project;
 import eu.dnetlib.data.proto.RelTypeProtos.RelType;
 import eu.dnetlib.data.proto.ResultProtos.Result;
@@ -61,8 +61,10 @@
                     case result:
 
                         return buildResult(oaf, DELIM, ENCLOSING);
+                    /*
                     case person:
                         return buildPerson(oaf, DELIM, ENCLOSING);
+                    */
                     default:
                         break;
                 }
@@ -452,10 +454,13 @@
 
         for (OafRel rel : oaf.getEntity().getCachedRelList()) {
 
+            /*
             if (rel.getRelType().equals(RelType.personResult)) {
 
                 authors++;
-            } else if (rel.getRelType().equals(RelType.resultProject))
+            } else
+            */
+            if (rel.getRelType().equals(RelType.resultProject))
             // TODO remember : in result Project, first id is project, second is
             // result.
             {
@@ -644,6 +649,7 @@
 
     }
 
+    /*
     private static String buildPerson(Oaf oaf, String DELIM, String ENCLOSING) {
         StringBuilder buff = new StringBuilder();
 
@@ -691,6 +697,7 @@
         return buff.toString();
 
     }
+    */
 
 
     private static String getYearDifferenceInteger(String enddate, String startdate, String DELIM, String ENCLOSING) {
Index: modules/dnet-openaire-stats/trunk/src/main/resources/eu/dnetlib/data/mapreduce/hbase/statsExport/stats_db_schema.sql
===================================================================
--- modules/dnet-openaire-stats/trunk/src/main/resources/eu/dnetlib/data/mapreduce/hbase/statsExport/stats_db_schema.sql	(revision 48301)
+++ modules/dnet-openaire-stats/trunk/src/main/resources/eu/dnetlib/data/mapreduce/hbase/statsExport/stats_db_schema.sql	(revision 48302)
@@ -260,10 +260,10 @@
    orid text
 );
 
- CREATE TABLE shadow.person_oids (
-    id text NOT NULL,
-   orid text
-);
+-- CREATE TABLE shadow.person_oids (
+--   id text NOT NULL,
+--  orid text
+-- );
 
 
  CREATE TABLE shadow.project_keywords (
@@ -397,29 +397,29 @@
 --
 
 
-CREATE TABLE shadow.person (
-    id text NOT NULL,
-    person_results text NOT NULL,
-  firstname text,
-  lastname text,
-  fullname text ,
-  nationality text ,
-  email text,
-  phone text,
-  deletedbyinference TEXT,
-  number text
-);
+-- CREATE TABLE shadow.person (
+--     id text NOT NULL,
+--     person_results text NOT NULL,
+--   firstname text,
+--   lastname text,
+--   fullname text ,
+--   nationality text ,
+--   email text,
+--   phone text,
+--   deletedbyinference TEXT,
+--   number text
+-- );
 
 
-CREATE TABLE shadow.person_results (
-    id text NOT NULL,
-    result text NOT NULL
-);
+-- CREATE TABLE shadow.person_results (
+--     id text NOT NULL,
+--    result text NOT NULL
+-- );
 
-CREATE TABLE shadow.project_persons (
-  id text NOT NULL,
-  person text NOT NULL
-);
+-- CREATE TABLE shadow.project_persons (
+--  id text NOT NULL,
+--  person text NOT NULL
+-- );
 
 CREATE TABLE shadow.result_pids (
   id text NOT NULL,
@@ -908,6 +908,15 @@
 
 BEGIN
 
+-- country nums
+CREATE TABLE "shadow".numbers_country AS SELECT org.country AS country, count(distinct rd.datasource) AS datasources, count(distinct r.id) AS publications FROM "shadow".result r, "shadow".result_datasources rd, "shadow".datasource d, "shadow".datasource_organizations dor, "shadow".organization org WHERE r.id=rd.id AND rd.datasource=d.id AND d.id=dor.id AND dor.organization=org.id AND r.type='publication' AND r.bestlicense='Open Access' GROUP BY org.country;
+
+-- country charts
+CREATE TABLE "shadow".chart_country_year AS SELECT org.country AS country, r.year AS year, count(distinct r.id) AS publications FROM "shadow".result r, "shadow".result_datasources rd, "shadow".datasource d, "shadow".datasource_organizations dor, "shadow".organization org WHERE r.id=rd.id AND rd.datasource=d.id AND rd.datasource=dor.id AND dor.organization=org.id AND r.type='publication' AND r.bestlicense='Open Access' and r.year>='1990' AND r.year<=extract(YEAR from now()) group by org.country, r.year ORDER BY org.country, r.year;
+CREATE TABLE "shadow".chart_country_datasources AS SELECT org.country AS country, d.name AS datasource, count(distinct r.id) AS publications FROM "shadow".result r, "shadow".result_datasources rd, "shadow".datasource d, "shadow".datasource_organizations dor, "shadow".organization org WHERE r.id=rd.id AND rd.datasource=d.id AND d.id=dor.id AND dor.organization=org.id AND r.type='publication' AND r.bestlicense='Open Access' GROUP BY org.country, d.name ORDER BY org.country, count(distinct r.id) DESC;
+CREATE TABLE "shadow".chart_country_type AS SELECT org.country AS country, rc.type AS type, count(distinct r.id) AS publications FROM "shadow".result r, "shadow".result_datasources rd, "shadow".datasource d, "shadow".result_classifications rc, "shadow".datasource_organizations dor, "shadow".organization org WHERE r.id=rd.id AND r.id=rc.id AND rd.datasource=d.id AND rd.datasource=dor.id AND dor.organization=org.id AND r.type='publication' AND r.bestlicense='Open Access' GROUP BY org.country, rc.type;
+CREATE TABLE "shadow".chart_country_fp7 AS SELECT org.country AS country, r.year AS year, count(distinct r.id) AS publications FROM "shadow".result r, "shadow".result_datasources rd, "shadow".datasource d, "shadow".datasource_organizations dor, "shadow".organization org, "shadow".project_results pr, "shadow".project p WHERE r.id=rd.id AND rd.datasource=d.id AND rd.datasource=dor.id AND dor.organization=org.id AND r.id=pr.result AND pr.id=p.id AND p.funding_lvl0='FP7' AND r.type='publication' AND r.year>='1990' AND r.year<=extract(YEAR from now()) GROUP BY org.country, r.year ORDER BY org.country, r.year;
+
 -- datasource charts
 CREATE TABLE "shadow".chart_datasource_type AS SELECT rd.datasource, rc.type, count(distinct rd.id) FROM "shadow".result_datasources rd, "shadow".result_classifications rc WHERE rd.id=rc.id GROUP BY rd.datasource, rc.type;
 CREATE TABLE "shadow".chart_datasource_year AS SELECT rd.datasource, r.year, count(distinct rd.id) FROM "shadow".result r, "shadow".result_datasources rd WHERE rd.id=r.id GROUP By rd.datasource, r.year;
@@ -931,6 +940,15 @@
 
 BEGIN
 
+-- country nums
+CREATE INDEX numbers_country_country ON "shadow".numbers_country USING btree(country);
+
+-- country charts
+CREATE INDEX chart_country_year_country ON "shadow".chart_country_year USING btree(country);
+CREATE INDEX chart_country_datasources_country ON "shadow".chart_country_datasources USING btree(country);
+CREATE INDEX chart_country_type_country ON "shadow".chart_country_type USING btree(country);
+CREATE INDEX chart_country_fp7_country ON "shadow".chart_country_fp7 USING btree(country);
+
 -- datasource
 CREATE INDEX chart_datasource_type_datasource ON "shadow".chart_datasource_type USING btree(datasource);
 CREATE INDEX chart_datasource_year_datasource ON "shadow".chart_datasource_year USING btree(datasource);
